package model

type VirtualCoinRelate struct {
	Id                    int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Oid                   int64  `json:"oid" xorm:"not null default 0 comment('订单号') index unique(IDX_ORD) BIGINT(20)"`
	Uid                   int    `json:"uid" xorm:"not null default 0 comment('用户ID') unique(IDX_ORD) index INT(10)"`
	CoinId                int    `json:"coin_id" xorm:"comment('虚拟币id') unique(IDX_ORD) INT(11)"`
	Amount                string `json:"amount" xorm:"not null default 0.000000 comment('数量') DECIMAL(16,6)"`
	Pvd                   string `json:"pvd" xorm:"not null default '' comment('供应商taobao,jd,pdd,vip,suning,kaola,mall_goods,group_buy') index VARCHAR(255)"`
	CreateAt              int    `json:"create_at" xorm:"not null default 0 comment('订单创建时间') index INT(10)"`
	Level                 int    `json:"level" xorm:"not null default 0 comment('0自购 1直推 大于1：间推') INT(10)"`
	Mode                  string `json:"mode" xorm:"default '' comment('分佣方案类型') VARCHAR(255)"`
	AdditionalSubsidy     string `json:"additional_subsidy" xorm:"default 0.000000 comment('额外补贴 酒庄模式才有效') DECIMAL(16,6)"`
	AdditionalSubsidyBili string `json:"additional_subsidy_bili" xorm:"default 0.000000 comment('额外补贴比例 酒庄模式才有效') DECIMAL(16,6)"`
	TeamFreeze            int    `json:"team_freeze" xorm:"comment('定制') INT(1)"`
	ExtendType            int    `json:"extend_type" xorm:"default 0 comment('0普通  1超级推荐人 2团长 3团长上级超级推荐人 4团长担保用户') unique(IDX_ORD) INT(11)"`
}
